Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000687Endian FirewallGUIpublic2008-04-17 18:502010-09-24 11:33
Reporterdgriessinger 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionfutureFixed in Version2.4 
Summary0000687: Realtime Bandwidth
DescriptionHave an Bandwidth Monitoring by link...
In javascript/svg like the attached screenshot
TagsNo tags attached.
Attached Filesjpg file icon realtimebandwidth.JPG [^] (144,673 bytes) 2008-04-17 18:50


zip file icon endian_realtimebandwidth.zip [^] (4,846 bytes) 2008-04-18 15:54
? file icon rtbandmonit.cgi [^] (948 bytes) 2008-04-21 14:49

- Relationships

-  Notes
(0001009)
dgriessinger (reporter)
2008-04-18 16:09
edited on: 2008-04-18 17:03

I have made a version for endian.

This archive includes 2 files :
html/graphs/graph_if.svg
cgi-bin/graph_if.cgi

Don't forget chmod +x cgi-bin/graph_if.cgi

You can see
https://endian:10443/graphs/graph_if.svg?eth0 [^]
https://endian:10443/graphs/graph_if.svg?eth1 [^]

It could be ready to use, just it miss the page with the good template now....

(0001011)
peter-endian (administrator)
2008-04-21 13:26

Thank you for this contribution.
This is very impressive!!

We will try to integrate it for 2.2. If it will not made it for 2.2 we will put it into 2.3 for sure.
(0001012)
dgriessinger (reporter)
2008-04-21 14:49

For a quick integration (beta) :

Change the header file for add theses lines, just after $substatus->{'10.iptfilters'} = { .... } (arround line 385) :

# ***********************************************************
    $substatus->{'11.rtbandmonit'} = {
     'caption' => _('Realtime Bandwidth Monitoring'),
     'uri' => '/cgi-bin/rtbandmonit.cgi',
     'title' => _('Realtime Bandwidth Monitoring'),
     'enabled' => 1,
    };
# ***********************************************************

copy rtbandmonit.cgi into cgi-bin directory, chmod +x


After, you have new button into status tabsheet.
(0001378)
steven (reporter)
2008-06-26 22:44

this would be very useful, and has been missing

- Issue History
Date Modified Username Field Change
2008-04-17 18:50 dgriessinger New Issue
2008-04-17 18:50 dgriessinger File Added: realtimebandwidth.JPG
2008-04-18 15:54 dgriessinger File Added: endian_realtimebandwidth.zip
2008-04-18 16:09 dgriessinger Note Added: 0001009
2008-04-18 16:10 dgriessinger Note Edited: 0001009
2008-04-18 17:03 dgriessinger Note Edited: 0001009
2008-04-21 13:26 peter-endian Note Added: 0001011
2008-04-21 14:49 dgriessinger Note Added: 0001012
2008-04-21 14:49 dgriessinger File Added: rtbandmonit.cgi
2008-04-22 10:48 ra-endian Status new => assigned
2008-04-22 10:48 ra-endian Assigned To => simon-endian
2008-04-22 10:48 ra-endian Status assigned => feedback
2008-05-09 19:56 peter-endian Target Version => 2.3
2008-06-26 22:44 steven Note Added: 0001378
2008-09-10 17:58 chris-endian Target Version 2.3 => future
2009-06-10 16:09 peter-endian Assigned To simon-endian =>
2010-09-24 11:33 peter-endian Status feedback => closed
2010-09-24 11:33 peter-endian Resolution open => fixed
2010-09-24 11:33 peter-endian Fixed in Version => 2.4

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker